<sqtm-app-search-view
  [workspaceName]="'campaign-workspace'"
  [titleKey]="'sqtm-core.search.campaign.title'"
  [filters]="filters"
  [filterGroups]="filterGroups"
>
  <div
    [attr.data-test-toolbar-id]="'itpi-search-toolbar'"
    class="current-workspace-main-color font-20-px m-r-10 flex-row button-bar"
  >
    @if (this.referentialDataService.isPremiumPluginInstalled$ | async) {
      <sqtm-core-toggle-icon
        [active]="true"
        (clickedInActiveMode)="showAvailableFilters()"
      >
        <i
          [attr.data-test-toolbar-button-id]="'open-widget-column-button'"
          nz-icon
          #iconColumnElement
          nzType="sqtm-core-generic:columns"
          class="action-icon-size custom-icon"
          nzTheme="outline"
          nz-tooltip="{{ 'sqtm-core.grid.columns' | translate | capitalize }}"
        >
        </i>
      </sqtm-core-toggle-icon>
    }
    <span class="__hover_pointer m-r-10">
      <sqtm-core-toggle-icon
        [active]="hasSelectedRows$ | async"
        (clickedInActiveMode)="showMassEditDialog()"
      >
        <i
          [attr.data-test-toolbar-button-id]="'mass-edit-button'"
          nz-icon
          nzType="sqtm-core-generic:bulk_edition"
          class="action-icon-size"
          nzTheme="outline"
          nzTooltipPlacement="topRight"
          nz-tooltip="{{
            'sqtm-core.search.generic.modify.selection' | translate
          }}"
        ></i>
      </sqtm-core-toggle-icon>
    </span>
    <span class="__hover_pointer">
      <sqtm-core-toggle-icon
        [attr.data-test-toolbar-button-id]="'add-button'"
        [active]="hasSelectedRows$ | async"
        (clickedInActiveMode)="showAddToTestPlanDialog()"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:add"
          nzTheme="outline"
          class="action-icon-size"
          nzTooltipPlacement="topRight"
          nz-tooltip="{{
            'sqtm-core.search.campaign.add-to-execution-plan' | translate
          }}"
        ></i>
      </sqtm-core-toggle-icon>
    </span>
  </div>
</sqtm-app-search-view>
